Bug 193767

Summary: [iPad] Initial test gardening
Product: WebKit Reporter: Jonathan Bedard <jbedard>
Component: Tools / TestsAssignee: Jonathan Bedard <jbedard>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, lforschler, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
See Also: https://bugs.webkit.org/show_bug.cgi?id=193970
https://bugs.webkit.org/show_bug.cgi?id=193971
https://bugs.webkit.org/show_bug.cgi?id=193994
https://bugs.webkit.org/show_bug.cgi?id=194221
https://bugs.webkit.org/show_bug.cgi?id=194223
https://bugs.webkit.org/show_bug.cgi?id=194226
https://bugs.webkit.org/show_bug.cgi?id=194228
https://bugs.webkit.org/show_bug.cgi?id=194234
https://bugs.webkit.org/show_bug.cgi?id=194259
https://bugs.webkit.org/show_bug.cgi?id=194313
https://bugs.webkit.org/show_bug.cgi?id=194314
https://bugs.webkit.org/show_bug.cgi?id=194345
Attachments:
Description Flags
Test results from --ipad-simulator test run
none
Patch
none
Patch
none
Patch none

Description Jonathan Bedard 2019-01-24 07:08:44 PST
We need to garden test results for iPad.
Comment 1 Jonathan Bedard 2019-01-24 07:10:34 PST
Created attachment 360010 [details]
Test results from --ipad-simulator test run
Comment 2 Radar WebKit Bug Importer 2019-01-24 07:22:42 PST
<rdar://problem/47515175>
Comment 3 Jonathan Bedard 2019-01-25 11:01:18 PST
Comment on attachment 360010 [details]
Test results from --ipad-simulator test run

Seems like many of these test failure are due to the machine running the tests going to sleep, so the results aren't very helpful.
Comment 4 Jonathan Bedard 2019-02-01 11:43:19 PST
Created attachment 360879 [details]
Patch
Comment 5 Jonathan Bedard 2019-02-01 11:45:46 PST
(In reply to Jonathan Bedard from comment #4)
> Created attachment 360879 [details]
> Patch

Starting to iterate on this. This patch would make the iPad testers "Green," but I would like to audit the tests marked as failed or skipped before landing, since many of those tests may be compatible with iPad given minor changes.
Comment 6 Jonathan Bedard 2019-02-04 13:34:17 PST
Created attachment 361090 [details]
Patch
Comment 7 Jonathan Bedard 2019-02-04 21:55:37 PST
(In reply to Jonathan Bedard from comment #6)
> Created attachment 361090 [details]
> Patch

This patch re-baselines tests for iPad. It does not skip tests which are failing, or make any changes to UIScriptController.
Comment 8 WebKit Commit Bot 2019-02-04 22:19:56 PST
Comment on attachment 361090 [details]
Patch

Clearing flags on attachment: 361090

Committed r240964: <https://trac.webkit.org/changeset/240964>
Comment 9 WebKit Commit Bot 2019-02-04 22:19:57 PST
All reviewed patches have been landed.  Closing bug.
Comment 10 Jonathan Bedard 2019-02-06 09:02:14 PST
Reopening to attach new patch.
Comment 11 Jonathan Bedard 2019-02-06 09:02:15 PST
Created attachment 361298 [details]
Patch
Comment 12 WebKit Commit Bot 2019-02-06 10:24:37 PST
Comment on attachment 361298 [details]
Patch

Clearing flags on attachment: 361298

Committed r241028: <https://trac.webkit.org/changeset/241028>
Comment 13 WebKit Commit Bot 2019-02-06 10:24:39 PST
All reviewed patches have been landed.  Closing bug.